Eclipse Platform Release 3.7

## org.eclipse.osgi.service.resolver
Class ResolverHookException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.osgi.service.resolver.ResolverHookException

All Implemented Interfaces:
  Serializable

    public class ResolverHookException

extends RuntimeException

A runtime exception thrown by a resolver to indicate that a resolver hook threw an unexpected exception and the resolve operation terminated.

Since:
  3.7
See Also:
  Serialized Form

Constructor Summary
`ResolverHookException(String message, Throwable cause)` Constructs a new resolver hook exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResolverHookException

    public ResolverHookException(String message,
                                 Throwable cause)

  Constructs a new resolver hook exception.

  Parameters:
    `message` - the message of the exception
    `cause` - the cause of the exception

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.